import type { StyleSpecification } from 'maplibre-gl';
import { useMapStore } from '@common/store/mapStore';
import { LIGHT_STYLE, SATELLITE_3D_STYLE, ENC_EMPTY_STYLE } from '@common/components/map/mapStyles';

export function useBaseMapStyle(): StyleSpecification {
  const mapToggles = useMapStore((s) => s.mapToggles);

  if (mapToggles.s57) return ENC_EMPTY_STYLE;
  if (mapToggles.threeD) return SATELLITE_3D_STYLE;
  return LIGHT_STYLE;
}
